## org.apache.batik.apps.svgbrowser
Interface NodePickerPanel.NodePickerListener

All Superinterfaces:
  java.util.EventListener

All Known Implementing Classes:
  NodePickerPanel.NodePickerAdapter

Enclosing class:
  NodePickerPanel

    public static interface NodePickerPanel.NodePickerListener

extends java.util.EventListener

Node picker listener.

Method Summary
`void` `addNewElement(NodePickerPanel.NodePickerEvent event)` Adds the element from the data contained in the NodePickerEvent.
`void` `updateElement(NodePickerPanel.NodePickerEvent event)` Updates the element from the data contained in the NodePickerEvent.

Method Detail

### updateElement

    void updateElement(NodePickerPanel.NodePickerEvent event)

  Updates the element from the data contained in the NodePickerEvent.

### addNewElement

    void addNewElement(NodePickerPanel.NodePickerEvent event)

  Adds the element from the data contained in the NodePickerEvent.

Copyright © 2008 Apache Software Foundation. All Rights Reserved.